Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.config
Class PropertySetterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.log4j.config.PropertySetterException

All Implemented Interfaces:
  Serializable

    public class PropertySetterException

extends Exception

Thrown when an error is encountered whilst attempting to set a property using the `PropertySetter` utility class.

Since:
  1.1
See Also:
  Serialized Form

Field Summary
`protected Throwable` | `rootCause` The root cause.

Constructor Summary
`PropertySetterException(String msg)` Construct the exception with the given message.
`PropertySetterException(Throwable rootCause)` Construct the exception with the given root cause.

Method Summary
`String` | `getMessage()` Returns descriptive text on the cause of this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### rootCause

    protected Throwable rootCause

  The root cause.

Constructor Detail

### PropertySetterException

    public PropertySetterException(String msg)

  Construct the exception with the given message.

  Parameters:
    `msg` - The message

### PropertySetterException

    public PropertySetterException(Throwable rootCause)

  Construct the exception with the given root cause.

  Parameters:
    `rootCause` - The root cause

Method Detail

### getMessage

    public String getMessage()

  Returns descriptive text on the cause of this exception.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    the descriptive text.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.